Subject: bug#37451: closed (Re: [bug#37451] [PATCH] Update libvterm to version 0.1.1)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 18 Sep 2019 21:43:04 +0000

Your bug report

#37451: [PATCH] Update libvterm to version 0.1.1

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
37451: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=37451
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#37451] [PATCH] Update libvterm to version 0.1.1
From: Ricardo Wurmus <[email-masked]>
To: HiPhish <[email-masked]>
Cc: [email-masked]
Date: Wed, 18 Sep 2019 23:42:07 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Ricardo Wurmus <[email-masked]> writes:

> Hi HiPhish,
>
>> This patch bumps the version number of libvterm. The tarball for release 0.1
>> has a bug which breaks the terminal emulator inside Neovim, so this new
>> release fixes Neovim as well in the process.
>
> thank you for this diff!
>
> I’d like to attribute this patch to you, but you’ve sent a diff (not the
> output of “git format-patch -1” after a commit) which doesn’t contain
> authorship information.  I would write a commit summary according to our
> conventions, but I’d need to know with what name and email address you
> would like to appear as the author.

Thanks for sending me the output of “git format-patch” off-list.  It
wasn’t *quite* the format I expected, so I made a few minor changes to
the commit message and pushed it to the master branch (see commit
b48d77fcf6).

Oh, before that I re-enabled the tests, because they work now.  Yay!

Thanks again!

--
Ricardo

Subject: [PATCH] Update libvterm to version 0.1.1
From: HiPhish <[email-masked]>
To: [email-masked]
Date: Wed, 18 Sep 2019 21:40:57 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

This patch bumps the version number of libvterm. The tarball for release 0.1 
has a bug which breaks the terminal emulator inside Neovim, so this new 
release fixes Neovim as well in the process.

diff --git a/gnu/packages/terminals.scm b/gnu/packages/terminals.scm
index 98ed77289a..9cf3db8b7f 100644
--- a/gnu/packages/terminals.scm
+++ b/gnu/packages/terminals.scm
@@ -460,7 +460,7 @@ should be thread-safe.")
 (define-public libvterm
   (package
     (name "libvterm")
-    (version "0.1")
+    (version "0.1.1")
     (source
      (origin
        (method url-fetch)
@@ -468,7 +468,7 @@ should be thread-safe.")
                            "libvterm-" version ".tar.gz"))
        (sha256
         (base32
-         "1pcxjhvdwhr2f3lyzf2rv1vp3l62bgkjm1ybhj82qf8yly7ca6g4"))))
+         "1n5maylann2anfifjy576vzyar9q5m1kzpyiz2hca2pacxy8xf4v"))))
     (build-system gnu-build-system)
     (arguments
      `(#:make-flags